import { Theme } from '@material-ui/core/styles'
import { createStyles } from '@material-ui/styles'

import sharedStyles from '../styles'

// eslint-disable-next-line
export default (theme: Theme) => {
  return createStyles({
    ...sharedStyles(theme),
    form: {
      '& .MuiTextField-root': {
        marginBottom: theme.spacing(2),
        width: '100%',
      },
      '& .MuiFormControl-root': {
        marginBottom: theme.spacing(2),
        width: '100%',
      },
    },
    switchCardPhotoContainer: { flexDirection: 'row', alignItems: 'center', justifyContent: 'space-evenly' },
    datePicker: { marginBottom: '0px !important' },
    label: { ...sharedStyles(theme).label, textAlign: 'center' },
  })
}
